<template>
  <div class="movie-card-popular" @mouseover="mouseOver" @mouseout="mouseOut">
    <div class="movie-poster">
      <img
        v-bind:src="'https://image.tmdb.org/t/p/w500/'+movieList.poster_path"
        width="100%"
        height="100%"
      />
    </div>
    <div
      v-bind:class="[isHover&&isLarge===true ? [activeHover,lg] : isHover && !isLarge ?activeHover: notActiveHover]"
    >
      <b-card
        v-bind:title="movieList.title|maxCharTitle"
        v-bind:sub-title="movieList.overview|maxCharSubTitle"
        v-bind:img-src="'https://image.tmdb.org/t/p/w500/'+movieList.backdrop_path"
        img-alt="Image"
        img-top
        class="mb-2"
      >
        <div class="card-bottom-alt">
          <div>
            <span class="movie-rating">
              <IconStar />
              {{movieList.vote_average}}
            </span>
          </div>
          <div>
            <span>IDR</span>
            <span class="movie-price">{{movieList.vote_average|setPrice}}</span>
          </div>
        </div>
      </b-card>
    </div>
  </div>
</template>

<script>
import { BIconStar } from 'bootstrap-vue'

export default {
  props: ['movieList', 'large'],
  data: function () {
    console.log(this.large)
    return {
      isHover: false,
      activeHover: 'active',
      notActiveHover: 'not-active',
      lg: 'large',
      isLarge: this.large
    }
  },
  components: {
    IconStar: BIconStar
  },
  methods: {
    mouseOver (value) {
      this.isHover = !this.isHover
    },
    mouseOut (value) {
      this.isHover = !this.isHover
    }
  },
  filters: {
    maxCharTitle (value) {
      const maxCharTitle = 25
      const modTitle =
        value.length > maxCharTitle
          ? `${value.substr(0, maxCharTitle)}...`
          : value
      return modTitle
    },
    maxCharSubTitle (value) {
      const maxCharSubTitle = 300
      const modSubTitle =
        value.length > maxCharSubTitle
          ? `${value.substr(0, maxCharSubTitle)}...`
          : value
      return modSubTitle
    },
    setPrice (value) {
      switch (true) {
        case value < 3:
          return `${Number(3000).toLocaleString('id')}`
        case value < 6:
          return `${Number(8250).toLocaleString('id')}`
        case value < 8:
          return `${Number(16350).toLocaleString('id')}`
        case value < 10:
          return `${Number(21250).toLocaleString('id')}`
      }
    }
  }
}
</script>
<style>
.movie-poster {
  margin-bottom: 1rem;
  border-radius: 0.5rem;
}

.movie-poster > img {
  border-bottom: 2px solid #20c997;
  border-radius: 0.5rem;
}

.movie-card-popular .active {
  display: block;
  position: absolute;
  top: -2rem;
  left: -4rem;
  width: 20rem;
  z-index: 100;
  -webkit-animation: fadein 1s;
  animation: fadein 1s;
  box-shadow: 0 0 3px #17a2b8, 0 0 5px #20c997;
  border-radius: 0.25rem;
}

.movie-card-popular .active.large {
  display: block;
  position: absolute;
  top: -1rem;
  left: -5rem;
  width: 27.5rem;
  z-index: 100;
  -webkit-animation: fadein 1s;
  animation: fadein 1s;
  box-shadow: 0 0 3px #17a2b8, 0 0 5px #20c997;
  border-radius: 0.25rem;
}

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@-webkit-keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.movie-card-popular .not-active {
  display: none;
}

.mb-2 {
  border-radius: 0.25rem;
  margin-bottom: 0.25rem !important;
  background-color: black !important;
}

.card-img-top {
  border-radius: 0.25rem !important;
}

.card-title {
  font-size: 1.25rem;
  color: #ffffff;
}

.card-subtitle {
  font-size: 0.75rem;
  color: #ffffff;
}

.card-bottom-alt {
  display: flex;
  justify-content: space-between;
  margin-top: 0.5rem;
  color: #ffffff;
}

.movie-vote-average {
  font-size: smaller;
  color: #ffffff;
}
.movie-price {
  font-size: 1rem;
  font-weight: bold;
  color: #ffffff;
}

.movie-rating{
  color: #ffffff;
}

.mb-2,
.my-2 {
  margin-bottom: 0 !important;
}
</style>
